FOREIGN_IDF_READ(3)

EXPERIMENTAL_FUNC
foreign_idf_read - Read an IDF file set.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_idf_read

(CONST char *filename, flag sanitise, ...)

DESCRIPTION
Read an IDF file set.

filename
    The name of the ".idf" header file in the IDF file set.

sanitise
    If TRUE, IDF axes with length 1 are ignored. This is highly recommended.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_IDF_READ_END. See <-foreign_ATT_IDF_READ-> for a list of defined attributes.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/